# std::hash<::bitset< _Nb > > Struct Template Reference

std::hash specialization for bitset. More...

Inheritance diagram for std::hash<::bitset< _Nb > >:
[legend]

List of all members.

## Public Types

- typedef ::bitset< _Nb > argument_type
- typedef size_t result_type

## Public Member Functions

- size_t operator() (const ::bitset< _Nb > &__b) const

## Detailed Description

### template<size_t _Nb>
struct std::hash<::bitset< _Nb > >

std::hash specialization for bitset.

Definition at line 1498 of file bitset.

## Member Typedef Documentation

typedef ::bitset< _Nb > std::unary_function< ::bitset< _Nb > , size_t >::argument_type `[inherited]`

`argument_type` is the type of the /// argument (no surprises here)

Definition at line 102 of file stl_function.h.

typedef size_t std::unary_function< ::bitset< _Nb > , size_t >::result_type `[inherited]`

`result_type` is the return type

Definition at line 105 of file stl_function.h.

The documentation for this struct was generated from the following file:

- bitset